# $Revision: 1.8.2.2 $, $Date: 2003/12/09 22:05:16 $
Summary:	IRRToolSet is a suite of policy analysis tools
Summary(pl):	IRRToolSet jest zestawem narzdzi do analizy polityki
Name:		IRRToolSet
Version:	4.7.3
Release:	1
License:	BSD-like
Group:		Networking/Admin
Source0:	ftp://ftp.ripe.net/ripe/tools/IRRToolSet/%{name}-%{version}.tar.gz
# Source0-md5:	fcf8305464c8ae5886c41dcb8d85e53d
Patch0:		%{name}-DESTDIR.patch
#Patch1:		%{name}-gcc3.patch
URL:		http://www.ripe.net/ripencc/pub-services/db/irrtoolset/index.html
BuildRequires:	XFree86-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	tcl-devel >= 8.3.4-10
BuildRequires:	tk-devel >= 8.3.4-5
BuildRequires:	readline-devel
Provides:	RAToolSet
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	RAToolSet

%description
IRRToolSet is a suite of policy analysis tools. It is implemented in
C++ on a UNIX platform.

%description -l pl
IRRToolSet jest zestawem narzdzi do analizy polityki.

%prep
%setup -q
%patch0 -p1
#%patch1 -p1

%build
%configure2_13
%{__make}

# extract license
head -53 acconfig.h | tail -52 > LICENSE

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/prtraceroute $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README* LICENSE
%attr(755,root,root) %{_bindir}/*
%attr(4754,root,adm) %{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: IRRToolSet.spec,v $
Revision 1.8.2.2  2003/12/09 22:05:16  ankry
- rel. 1 for Ra

Revision 1.8.2.1  2003/12/09 22:04:41  ankry
- commented out -gcc3 patch

Revision 1.8  2003/09/13 19:13:59  blues
- if it Obsoletes RAToolSet then it should provide it too

Revision 1.7  2003/09/13 19:09:21  blues
- release 2

Revision 1.6  2003/08/11 20:44:50  ankry
cosmetics

Revision 1.5  2003/07/09 08:06:48  qboosh
- patched for gcc 3.x
- release 1.1 - builds, not tested

Revision 1.4  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.3  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/18 20:18:44  speedy
- new release 4.7.3, initial - moved from RAToolSet [changed project name, updated to new RPSL database]
